summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/lib/make.bash91
1 files changed, 47 insertions, 44 deletions
diff --git a/src/lib/make.bash b/src/lib/make.bash
index 7ea186192..820fdbf62 100755
--- a/src/lib/make.bash
+++ b/src/lib/make.bash
@@ -4,49 +4,52 @@
#!/bin/bash
-set -e
+function buildfiles() {
+ rm -f *.6
+ for i
+ do
+ base=$(basename $i .go)
+ echo 6g -o $GOROOT/pkg/$base.6 $i
+ 6g -o $GOROOT/pkg/$base.6 $i
+ done
+}
+
+function builddirs() {
+ for i
+ do
+ echo; echo; echo %%%% making lib/$i %%%%; echo
+ cd $i
+ make install
+ cd ..
+ done
+}
-# Don't sort the files in the for loop - some of the orderings matter.
-rm -f *.6
-for i in \
- strings.go\
-
-do
- base=$(basename $i .go)
- echo 6g -o $GOROOT/pkg/$base.6 $i
- 6g -o $GOROOT/pkg/$base.6 $i
-done
-
-for i in syscall os math reflect fmt
-do
- echo; echo; echo %%%% making lib/$i %%%%; echo
- cd $i
- make install
- cd ..
-done
-
-# Don't sort the files in the for loop - some of the orderings matter.
+set -e
rm -f *.6
-for i in \
- flag.go\
- container/vector.go\
- rand.go\
- sort.go\
- io.go\
- bufio.go\
- once.go\
- bignum.go\
-
-do
- base=$(basename $i .go)
- echo 6g -o $GOROOT/pkg/$base.6 $i
- 6g -o $GOROOT/pkg/$base.6 $i
-done
-
-for i in net time http regexp
-do
- echo; echo; echo %%%% making lib/$i %%%%; echo
- cd $i
- make install
- cd ..
-done
+
+# Don't sort the elements of the lists - some of the orderings matter.
+
+buildfiles strings.go
+
+builddirs syscall \
+ math \
+ os \
+ reflect \
+
+buildfiles io.go
+
+builddirs fmt
+
+buildfiles flag.go\
+ container/vector.go\
+ rand.go\
+ sort.go\
+ bufio.go\
+ once.go\
+ bignum.go\
+
+builddirs net\
+ time\
+ http\
+ regexp\
+